﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Collections.Generic;

namespace SilverlightApplication13
{
  public class ViewModel
  {
    private ObservableCollection<ObjectRow> _items = new ObservableCollection<ObjectRow>();
    private List<PER> _periods = new List<PER>();

    public ViewModel()
    {
      ObservableCollection<PVRow> pvRows = new ObservableCollection<PVRow>();

      _periods.Add(new PER() { Id = 1, Desc = "Januar" });
      _periods.Add(new PER() { Id = 2, Desc = "Februar" });
      _periods.Add(new PER() { Id = 3, Desc = "März" });
      _periods.Add(new PER() { Id = 4, Desc = "April" });

      pvRows.Add(new PVRow()
      {
        PlanningYear = "Datenart 2012",
        Period = _periods[0],
        Element = "Planungsgröße 1",
        Value = "1"
      });

      pvRows.Add(new PVRow()
      {
        PlanningYear = "Datenart 2012",
        Period = _periods[1],
        Element = "Planungsgröße 1",
        Value = "1"
      });

      pvRows.Add(new PVRow()
      {
        PlanningYear = "Datenart 2012",
        Period = _periods[2],
        Element = "Planungsgröße 1",
        Value = "1"
      });

      _items.Add(new ObjectRow() { Object = "Mitarbeiter 1", Childs = pvRows });
    }

    public ObservableCollection<ObjectRow> Items
    {
      get { return _items; }
    }

    public List<PER> Periods
    {
      get { return _periods; }
    }
  }
}
